package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2022/4/8 13:49
 */
@Getter
@Setter
public class DiseaseIndexPageVO {
    /**
     * 类型：1-Icd10编码，2-国临编码
     */
    @NotNull(message = "请输入检索类型")
    public Integer type;
    /**
     * 检索内容
     */
    @NotBlank(message = "请输入检索内容")
    public String inputStr;
}
